/**
 * WYSIWYG form scripts
 *
 * @copyright (c) 2004-2008, SWsoft
 */
var SbPreserveSelectionForm = Class.create(
	SbWysiwygForm,
	{
		/**
		 * Opens form dialog
		 *
		 * @access public
		 * @param SbWysiwygForm
		 * @return void
		 */
		open: function($super) {
			var helper = self.getSbImageHelperInstance();
			helper.loadSelection();
			$super();
			helper.hideSelection();
		}
	}
);